Page MenuHomePhabricator

pages_processor.ConfigException triggered by unescaped pipes
Closed, ResolvedPublic

Description

<class 'pages_processor.ConfigException'> The template parameters are incorrect.

I updated the select, but forget to run a manual update, then click on one of the looking glass icons which trigger this error.

My select contained unescaped pipes which resulted in unlabeled (numbered) parameters being encountered.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2019, 12:13 PM

A ConfigException should result in the non-catastrophic error − damn the error handling >_>

Mentioned in SAL (#wikimedia-cloud) [2019-11-04T17:46:08Z] <wm-bot> <jeanfred> Deploy latest from Git master: d0f4222 (T237189)

JeanFred closed this task as Resolved.Nov 4 2019, 5:47 PM
JeanFred claimed this task.
JeanFred triaged this task as High priority.

ProcessingException will now be caught, and result in a less scary error page inviting the user to check their configuration.